<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjjHandoverRecordBean" />
    </data>

    <LinearLayout
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginTop="15dp"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_input"
                    android:orientation="vertical"
                    android:padding="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="60dp"
                            android:layout_height="wrap_content"
                            android:text="运单号:" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.5"
                            android:text="@{bean.waybillCode}"
                            android:textColor="@color/colorPrimary" />

                        <TextView
                            android:layout_width="60dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="航程:" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text='@{(bean.dep ?? "") + "-" +(bean.dest ?? "")}'
                            android:textColor="@color/color_66" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="60dp"
                            android:layout_height="wrap_content"
                            android:text="件数:" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1.5"
                            android:text="@{bean.pc}"
                            android:textColor="@color/colorPrimary" />

                        <TextView
                            android:layout_width="60dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="重量:" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="@{bean.weight}"
                            android:textColor="@color/color_66" />

                    </LinearLayout>

                    <ImageView
                        android:id="@+id/iv_down"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="10dp"
                        android:src="@mipmap/img_down" />

                </LinearLayout>

            </FrameLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/tv_delete_order"
                    style="@style/tv_item_action"
                    android:background="#df253c"
                    android:text="删单" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

        <TextView
            android:id="@+id/tv_j"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="6dp"
            android:text="件号"
            android:textColor="#333"
            android:textStyle="bold"
            android:visibility="gone" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:background="#caf982"
            android:visibility="gone"
            app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
            app:spanCount="8"
            tools:listitem="@layout/item_pda_jian" />

    </LinearLayout>
</layout>